package com.cesanelli.lajusta.io.models;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

public class ActiveNode {
    private Integer id;
    private Node node;
    private String day;
    private String dateTimeFrom;
    private String dateTimeTo;

    public ActiveNode() {
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Node getNode() {
        return node;
    }

    public void setNode(Node node) {
        this.node = node;
    }

    public String getDay() {
        return day;
    }

    public void setDay(String day) {
        this.day = day;
    }

    public String getDateTimeFrom() {
        return dateTimeFrom;
    }

    public void setDateTimeFrom(String dateTimeFrom) {
        this.dateTimeFrom = dateTimeFrom;
    }

    public String getDateTimeTo() {
        return dateTimeTo;
    }

    public void setDateTimeTo(String dateTimeTo) {
        this.dateTimeTo = dateTimeTo;
    }

    public String getOpen() {
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss.000'Z'");
        try {
            Date date = format.parse(day);
            SimpleDateFormat formatterOut = new SimpleDateFormat("dd/MM/yyyy");
            return formatterOut.format(date) + " de " + dateTimeFrom + " hs a " + dateTimeTo + " hs.";
        } catch (ParseException e) {
            return "";
        }
    }
}
