package com.cesanelli.lajusta.io.models;

import java.util.ArrayList;

public class Cart {
    private ArrayList<CartItem> cartProducts;
    private boolean isCanceled;
    private Integer quantity;
    private float total;
    private ActiveNode nodeDate;
    private User user;

    public Cart() {
        cartProducts = new ArrayList<CartItem>();
        quantity = 0;
        total = 0;
        isCanceled = false;
        nodeDate = null;
    }

    public ArrayList<CartItem> getCartProducts() {
        return cartProducts;
    }

    public void setCartProducts(ArrayList<CartItem> cartProducts) {
        this.cartProducts = cartProducts;
    }

    public Integer getQuantity() {
        return quantity;
    }

    public void setQuantity(Integer quantity) {
        this.quantity = quantity;
    }

    public float getTotal() {
        return total;
    }

    public void setTotal(float total) {
        this.total = total;
    }

    public ActiveNode getNode() {
        return nodeDate;
    }

    public void setNode(ActiveNode node) {
        this.nodeDate = node;
    }

    public boolean isCanceled() {
        return isCanceled;
    }

    public void setCanceled(boolean canceled) {
        isCanceled = canceled;
    }

    public ActiveNode getNodeDate() {
        return nodeDate;
    }

    public void setNodeDate(ActiveNode nodeDate) {
        this.nodeDate = nodeDate;
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }
}
