package com.cesanelli.lajusta.ui;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.Bundle;
import android.util.Base64;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;
import androidx.lifecycle.ViewModelProvider;

import com.cesanelli.lajusta.R;
import com.cesanelli.lajusta.databinding.FragmentProductBinding;
import com.cesanelli.lajusta.ui.viewmodel.ProductViewModel;


public class ProductFragment extends Fragment {
    private ProductViewModel productViewModel;
    FragmentProductBinding fragmentProductBinding;

    public ProductFragment() {
        // Required empty public constructor
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        fragmentProductBinding = FragmentProductBinding.inflate(inflater,container,false);
        return fragmentProductBinding.getRoot();
    }

    @Override
    public void onViewCreated(@NonNull View view, @Nullable Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);
        productViewModel = new ViewModelProvider(requireActivity()).get(ProductViewModel.class);
        fragmentProductBinding.setProductViewModel(productViewModel);
    }
}